Skip to main content
aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorJan Belle2019-10-10 12:45:45 +0000
committerJan Belle2019-10-11 13:40:53 +0000
commitaac958396bc0a687d2fac361f2b3bcb073e16d1f (patch)
treedc077eae11fd8151a59d8352f2cfa9e0bf4ce5bc /tests
parent105760a8e143d474638d3d1b3ee443a9ed666fc8 (diff)
downloadorg.eclipse.etrice-aac958396bc0a687d2fac361f2b3bcb073e16d1f.tar.gz
org.eclipse.etrice-aac958396bc0a687d2fac361f2b3bcb073e16d1f.tar.xz
org.eclipse.etrice-aac958396bc0a687d2fac361f2b3bcb073e16d1f.zip
[releng] Ensure consistent versioning of eclipse plugins
* Set all plugin and feature versions to 0.0.0 * Remove all version constraints of plugin dependencies * Implement build logic to update version strings * Integrate maven tycho build in gradle build Plugin and feature versions are updated by the build process. Version is computed from last git tag. Bug 541499 Change-Id: Ic9453508a27488239718074c318182977a21c214
Diffstat (limited to 'tests')
-rw-r--r--tests/org.eclipse.etrice.abstractexec.behavior.tests/META-INF/MANIFEST.MF12
-rw-r--r--tests/org.eclipse.etrice.core.common.tests/META-INF/MANIFEST.MF18
-rw-r--r--tests/org.eclipse.etrice.core.config.tests/META-INF/MANIFEST.MF20
-rw-r--r--tests/org.eclipse.etrice.core.etmap.tests/META-INF/MANIFEST.MF20
-rw-r--r--tests/org.eclipse.etrice.core.etphys.tests/META-INF/MANIFEST.MF18
-rw-r--r--tests/org.eclipse.etrice.core.fsm.tests/META-INF/MANIFEST.MF18
-rw-r--r--tests/org.eclipse.etrice.core.genmodel.fsm.tests/META-INF/MANIFEST.MF16
-rw-r--r--tests/org.eclipse.etrice.core.genmodel.tests/META-INF/MANIFEST.MF14
-rw-r--r--tests/org.eclipse.etrice.core.room.tests/META-INF/MANIFEST.MF18
-rw-r--r--tests/org.eclipse.etrice.dctools.tests/META-INF/MANIFEST.MF8
-rw-r--r--tests/org.eclipse.etrice.etunit.converter.tests/META-INF/MANIFEST.MF6
-rw-r--r--tests/org.eclipse.etrice.generator.fsmtest.tests/META-INF/MANIFEST.MF20
-rw-r--r--tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF20
-rw-r--r--tests/org.eclipse.etrice.ui.base.tests/META-INF/MANIFEST.MF12
-rw-r--r--tests/org.eclipse.etrice.ui.behavior.tests/META-INF/MANIFEST.MF30
-rw-r--r--tests/org.eclipse.etrice.ui.structure.tests/META-INF/MANIFEST.MF20
-rw-r--r--tests/pom.xml3
17 files changed, 136 insertions, 137 deletions
diff --git a/tests/org.eclipse.etrice.abstractexec.behavior.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.abstractexec.behavior.tests/META-INF/MANIFEST.MF
index 8de00ed9a..0ef934276 100644
--- a/tests/org.eclipse.etrice.abstractexec.behavior.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.abstractexec.behavior.tests/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Abstract Execution for Behavior Tests
Bundle-SymbolicName: org.eclipse.etrice.abstractexec.behavior.tests
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-Activator: org.eclipse.etrice.abstractexec.behavior.tests.Activator
Bundle-Vendor: Eclipse eTrice
-Require-Bundle: org.eclipse.etrice.core.fsm;bundle-version="2.0.0",
- org.eclipse.etrice.abstractexec.behavior;bundle-version="2.0.0",
+Require-Bundle: org.eclipse.etrice.core.fsm,
+ org.eclipse.etrice.abstractexec.behavior,
org.eclipse.core.runtime,
org.eclipse.emf.ecore,
- com.google.inject;bundle-version="3.0.0",
- org.eclipse.xtext;bundle-version="2.6.0",
- org.junit;bundle-version="4.10.0",
+ com.google.inject,
+ org.eclipse.xtext,
+ org.junit,
org.eclipse.etrice.core.room
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
diff --git a/tests/org.eclipse.etrice.core.common.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.core.common.tests/META-INF/MANIFEST.MF
index 32790e715..2c3759ffc 100644
--- a/tests/org.eclipse.etrice.core.common.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.core.common.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Tests for common eTrice grammar fragments and classes
Bundle-Vendor: Eclipse eTrice
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-SymbolicName: org.eclipse.etrice.core.common.tests; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.etrice.core.common,
@@ -10,15 +10,15 @@ Require-Bundle: org.eclipse.etrice.core.common,
org.eclipse.xtext.xbase.lib,
org.eclipse.etrice.core.common.ui,
org.eclipse.ui.workbench;resolution:=optional,
- org.eclipse.xtext.testing;bundle-version="2.12.0",
- org.eclipse.xtext.junit4;bundle-version="2.12.0"
+ org.eclipse.xtext.testing,
+ org.eclipse.xtext.junit4
Import-Package: org.apache.log4j,
- org.junit;version="4.5.0",
- org.junit.runner;version="4.5.0",
- org.junit.runner.manipulation;version="4.5.0",
- org.junit.runner.notification;version="4.5.0",
- org.junit.runners;version="4.5.0",
- org.junit.runners.model;version="4.5.0",
+ org.junit,
+ org.junit.runner,
+ org.junit.runner.manipulation,
+ org.junit.runner.notification,
+ org.junit.runners,
+ org.junit.runners.model,
org.hamcrest.core
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Export-Package: org.eclipse.etrice.core.common.tests,
diff --git a/tests/org.eclipse.etrice.core.config.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.core.config.tests/META-INF/MANIFEST.MF
index 5c0588bb5..4e427abdb 100644
--- a/tests/org.eclipse.etrice.core.config.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.core.config.tests/META-INF/MANIFEST.MF
@@ -2,24 +2,24 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: eTrice Config DSL Tests
Bundle-Vendor: Eclipse eTrice
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-SymbolicName: org.eclipse.etrice.core.config.tests; singleton:=true
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.etrice.core.config;bundle-version="2.0.0",
- org.eclipse.etrice.core.config.ui;bundle-version="2.0.0",
+Require-Bundle: org.eclipse.etrice.core.config,
+ org.eclipse.etrice.core.config.ui,
org.eclipse.core.runtime,
- org.eclipse.xtext;bundle-version="2.6.0",
- org.eclipse.xtext.junit4;bundle-version="2.6.0",
+ org.eclipse.xtext,
+ org.eclipse.xtext.junit4,
org.junit,
org.eclipse.ui.workbench;resolution:=optional,
org.eclipse.xtext.xbase.lib
Import-Package: org.apache.log4j,
org.apache.commons.logging,
- org.junit.runner;version="4.5.0",
- org.junit.runner.manipulation;version="4.5.0",
- org.junit.runner.notification;version="4.5.0",
- org.junit.runners;version="4.5.0",
- org.junit.runners.model;version="4.5.0",
+ org.junit.runner,
+ org.junit.runner.manipulation,
+ org.junit.runner.notification,
+ org.junit.runners,
+ org.junit.runners.model,
org.hamcrest.core
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Export-Package: org.eclipse.etrice.core
diff --git a/tests/org.eclipse.etrice.core.etmap.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.core.etmap.tests/META-INF/MANIFEST.MF
index f11c38e68..ceb6cacb2 100644
--- a/tests/org.eclipse.etrice.core.etmap.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.core.etmap.tests/META-INF/MANIFEST.MF
@@ -2,22 +2,22 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.etrice.core.etmap.tests
Bundle-Vendor: Eclipse eTrice
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-SymbolicName: org.eclipse.etrice.core.etmap.tests; singleton:=true
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.etrice.core.etmap;bundle-version="2.0.0",
- org.eclipse.etrice.core.etmap.ui;bundle-version="2.0.0",
+Require-Bundle: org.eclipse.etrice.core.etmap,
+ org.eclipse.etrice.core.etmap.ui,
org.eclipse.core.runtime,
- org.eclipse.xtext.junit4;bundle-version="2.6.0",
+ org.eclipse.xtext.junit4,
org.eclipse.ui.workbench;resolution:=optional,
org.eclipse.xtext.xbase.lib
Import-Package: org.apache.log4j,
- org.junit;version="4.5.0",
- org.junit.runner;version="4.5.0",
- org.junit.runner.manipulation;version="4.5.0",
- org.junit.runner.notification;version="4.5.0",
- org.junit.runners;version="4.5.0",
- org.junit.runners.model;version="4.5.0",
+ org.junit,
+ org.junit.runner,
+ org.junit.runner.manipulation,
+ org.junit.runner.notification,
+ org.junit.runners,
+ org.junit.runners.model,
org.hamcrest.core
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Export-Package: org.eclipse.etrice.core.etmap
diff --git a/tests/org.eclipse.etrice.core.etphys.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.core.etphys.tests/META-INF/MANIFEST.MF
index fb4f8704f..c0c4b21d5 100644
--- a/tests/org.eclipse.etrice.core.etphys.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.core.etphys.tests/META-INF/MANIFEST.MF
@@ -2,22 +2,22 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.etrice.core.etphys.tests
Bundle-Vendor: Eclipse eTrice
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-SymbolicName: org.eclipse.etrice.core.etphys.tests; singleton:=true
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.etrice.core.etphys;bundle-version="2.0.0",
+Require-Bundle: org.eclipse.etrice.core.etphys,
org.eclipse.etrice.core.etphys.ui,
org.eclipse.core.runtime,
- org.eclipse.xtext.junit4;bundle-version="2.6.0",
+ org.eclipse.xtext.junit4,
org.eclipse.ui.workbench;resolution:=optional,
org.eclipse.xtext.xbase.lib
Import-Package: org.apache.log4j,
- org.junit;version="4.5.0",
- org.junit.runner;version="4.5.0",
- org.junit.runner.manipulation;version="4.5.0",
- org.junit.runner.notification;version="4.5.0",
- org.junit.runners;version="4.5.0",
- org.junit.runners.model;version="4.5.0",
+ org.junit,
+ org.junit.runner,
+ org.junit.runner.manipulation,
+ org.junit.runner.notification,
+ org.junit.runners,
+ org.junit.runners.model,
org.hamcrest.core
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Export-Package: org.eclipse.etrice.core.etphys
diff --git a/tests/org.eclipse.etrice.core.fsm.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.core.fsm.tests/META-INF/MANIFEST.MF
index 7ad31023b..bd58b3443 100644
--- a/tests/org.eclipse.etrice.core.fsm.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.core.fsm.tests/META-INF/MANIFEST.MF
@@ -2,24 +2,24 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: FSM DSL Tests
Bundle-Vendor: Eclipse eTrice
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-SymbolicName: org.eclipse.etrice.core.fsm.tests; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.etrice.core.common,
org.eclipse.etrice.core.fsm,
org.eclipse.etrice.core.fsm.ui,
org.eclipse.core.runtime,
- org.eclipse.xtext.junit4;bundle-version="2.6.0",
+ org.eclipse.xtext.junit4,
org.eclipse.ui.workbench;resolution:=optional,
- org.objectweb.asm;bundle-version="[5.0.1,7.0.0)";resolution:=optional,
+ org.objectweb.asm;resolution:=optional,
org.eclipse.xtext.xbase.lib
Import-Package: org.apache.log4j,
- org.junit;version="4.5.0",
- org.junit.runner;version="4.5.0",
- org.junit.runner.manipulation;version="4.5.0",
- org.junit.runner.notification;version="4.5.0",
- org.junit.runners;version="4.5.0",
- org.junit.runners.model;version="4.5.0",
+ org.junit,
+ org.junit.runner,
+ org.junit.runner.manipulation,
+ org.junit.runner.notification,
+ org.junit.runners,
+ org.junit.runners.model,
org.hamcrest.core
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Export-Package: org.eclipse.etrice.core.fsm
diff --git a/tests/org.eclipse.etrice.core.genmodel.fsm.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.core.genmodel.fsm.tests/META-INF/MANIFEST.MF
index e50e94337..75ee57418 100644
--- a/tests/org.eclipse.etrice.core.genmodel.fsm.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.core.genmodel.fsm.tests/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: FSM GenModel Tests
Bundle-SymbolicName: org.eclipse.etrice.core.genmodel.fsm.tests
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-Vendor: Eclipse eTrice
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.junit;bundle-version="4.12.0",
- org.eclipse.osgi;bundle-version="3.11.2",
- org.eclipse.core.runtime;bundle-version="3.12.0",
- org.eclipse.etrice.core.room;bundle-version="2.0.0",
- org.eclipse.etrice.core.room.tests;bundle-version="2.0.0",
- org.eclipse.etrice.core.genmodel.fsm;bundle-version="2.0.0",
- org.eclipse.etrice.generator.base;bundle-version="2.0.0"
+Require-Bundle: org.junit,
+ org.eclipse.osgi,
+ org.eclipse.core.runtime,
+ org.eclipse.etrice.core.room,
+ org.eclipse.etrice.core.room.tests,
+ org.eclipse.etrice.core.genmodel.fsm,
+ org.eclipse.etrice.generator.base
Bundle-Activator: org.eclipse.etrice.core.genmodel.fsm.tests.FSMGenModelTestsActivator
Bundle-ActivationPolicy: lazy
Automatic-Module-Name: org.eclipse.etrice.core.genmodel.fsm.tests
diff --git a/tests/org.eclipse.etrice.core.genmodel.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.core.genmodel.tests/META-INF/MANIFEST.MF
index 2d3c9c7f5..681d686f7 100644
--- a/tests/org.eclipse.etrice.core.genmodel.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.core.genmodel.tests/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Tests
Bundle-SymbolicName: org.eclipse.etrice.core.genmodel.tests
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-Vendor: Eclipse eTrice
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.eclipse.etrice.core.room;bundle-version="2.0.0",
- org.eclipse.etrice.core.genmodel;bundle-version="2.0.0",
- org.junit;bundle-version="4.8.1",
- org.eclipse.xtext;bundle-version="2.6.0",
- org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.etrice.generator.base;bundle-version="2.0.0"
+Require-Bundle: org.eclipse.etrice.core.room,
+ org.eclipse.etrice.core.genmodel,
+ org.junit,
+ org.eclipse.xtext,
+ org.eclipse.core.runtime,
+ org.eclipse.etrice.generator.base
Bundle-Activator: org.eclipse.etrice.core.genmodel.GenmodelTestsActivator
Bundle-ActivationPolicy: lazy
Automatic-Module-Name: org.eclipse.etrice.core.genmodel.tests
diff --git a/tests/org.eclipse.etrice.core.room.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.core.room.tests/META-INF/MANIFEST.MF
index 72721653b..995284838 100644
--- a/tests/org.eclipse.etrice.core.room.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.core.room.tests/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: eTrice Room Core Tests
Bundle-SymbolicName: org.eclipse.etrice.core.room.tests
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: Eclipse eTrice
-Require-Bundle: org.eclipse.etrice.core.room;bundle-version="2.0.0",
- org.eclipse.etrice.core.common;bundle-version="2.0.0",
- org.eclipse.etrice.core.fsm;bundle-version="2.0.0",
- org.junit;bundle-version="4.8.1",
+Require-Bundle: org.eclipse.etrice.core.room,
+ org.eclipse.etrice.core.common,
+ org.eclipse.etrice.core.fsm,
+ org.junit,
org.eclipse.xtext.junit4,
org.eclipse.xtext.xbase.junit,
- org.eclipse.osgi;bundle-version="3.6.0",
- org.eclipse.xtext;bundle-version="2.6.0",
- org.eclipse.core.runtime;bundle-version="3.6.0",
+ org.eclipse.osgi,
+ org.eclipse.xtext,
+ org.eclipse.core.runtime,
org.eclipse.emf.ecore,
- org.eclipse.xtext.testing;bundle-version="2.12.0"
+ org.eclipse.xtext.testing
Bundle-Activator: org.eclipse.etrice.core.CoreTestsActivator
Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.etrice.core
diff --git a/tests/org.eclipse.etrice.dctools.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.dctools.tests/META-INF/MANIFEST.MF
index 2b72d1713..a599bf750 100644
--- a/tests/org.eclipse.etrice.dctools.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.dctools.tests/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Expressions UI Tests
Bundle-SymbolicName: org.eclipse.etrice.dctools.tests;singleton:=true
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Automatic-Module-Name: org.eclipse.etrice.expressions.ui.tests
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: Eclipse eTrice
-Require-Bundle: org.junit;bundle-version="4.12.0",
- org.eclipse.jface.text;bundle-version="3.12.2",
- org.eclipse.core.runtime;bundle-version="3.13.0",
+Require-Bundle: org.junit,
+ org.eclipse.jface.text,
+ org.eclipse.core.runtime,
org.eclipse.emf.ecore,
com.google.guava,
org.eclipse.etrice.dctools,
diff --git a/tests/org.eclipse.etrice.etunit.converter.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.etunit.converter.tests/META-INF/MANIFEST.MF
index 2d87b0ba7..746f1727a 100644
--- a/tests/org.eclipse.etrice.etunit.converter.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.etunit.converter.tests/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: etUnit Converter Tests
Bundle-SymbolicName: org.eclipse.etrice.etunit.converter.tests
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-Activator: org.eclipse.etrice.etunit.converter.tests.Activator
Bundle-Vendor: Eclipse eTrice
-Require-Bundle: org.eclipse.etrice.etunit.converter;bundle-version="2.0.0",
+Require-Bundle: org.eclipse.etrice.etunit.converter,
org.eclipse.core.runtime,
- org.junit;bundle-version="4.8.2",
+ org.junit,
com.google.guava
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
diff --git a/tests/org.eclipse.etrice.generator.fsmtest.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.generator.fsmtest.tests/META-INF/MANIFEST.MF
index 68fa8e95a..e0b2fb0f4 100644
--- a/tests/org.eclipse.etrice.generator.fsmtest.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.generator.fsmtest.tests/META-INF/MANIFEST.MF
@@ -2,21 +2,21 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.etrice.generator.fsmtest.tests
Bundle-Vendor: Eclipse eTrice
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-SymbolicName: org.eclipse.etrice.generator.fsmtest.tests; singleton:=true
Bundle-ActivationPolicy: lazy
-Require-Bundle: org.eclipse.etrice.generator.fsmtest;bundle-version="2.0.0",
- org.eclipse.etrice.generator.fsmtest.ui;bundle-version="2.0.0",
+Require-Bundle: org.eclipse.etrice.generator.fsmtest,
+ org.eclipse.etrice.generator.fsmtest.ui,
org.eclipse.core.runtime,
- org.eclipse.xtext.junit4;bundle-version="2.6.0",
+ org.eclipse.xtext.junit4,
org.eclipse.ui.workbench;resolution:=optional
Import-Package: org.apache.log4j,
- org.junit;version="4.5.0",
- org.junit.runner;version="4.5.0",
- org.junit.runner.manipulation;version="4.5.0",
- org.junit.runner.notification;version="4.5.0",
- org.junit.runners;version="4.5.0",
- org.junit.runners.model;version="4.5.0",
+ org.junit,
+ org.junit.runner,
+ org.junit.runner.manipulation,
+ org.junit.runner.notification,
+ org.junit.runners,
+ org.junit.runners.model,
org.hamcrest.core
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Export-Package: org.eclipse.etrice.generator
diff --git a/tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF
index 2e098df0d..95259bb24 100644
--- a/tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.generator.tests/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: eTrice Generator Model Tests
Bundle-SymbolicName: org.eclipse.etrice.generator.tests
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: Eclipse eTrice
-Require-Bundle: org.eclipse.etrice.core.common;bundle-version="2.0.0",
- org.eclipse.etrice.core.fsm;bundle-version="2.0.0",
- org.eclipse.etrice.core.room;bundle-version="2.0.0",
- org.eclipse.etrice.generator;bundle-version="2.0.0",
- org.eclipse.etrice.generator.fsm;bundle-version="2.0.0",
- org.junit;bundle-version="4.8.1",
- org.eclipse.osgi;bundle-version="3.6.0",
- org.eclipse.xtext;bundle-version="2.6.0",
- org.eclipse.core.runtime;bundle-version="3.6.0"
+Require-Bundle: org.eclipse.etrice.core.common,
+ org.eclipse.etrice.core.fsm,
+ org.eclipse.etrice.core.room,
+ org.eclipse.etrice.generator,
+ org.eclipse.etrice.generator.fsm,
+ org.junit,
+ org.eclipse.osgi,
+ org.eclipse.xtext,
+ org.eclipse.core.runtime
Bundle-Activator: org.eclipse.etrice.generator.InstanceTestsActivator
Bundle-ActivationPolicy: lazy
Automatic-Module-Name: org.eclipse.etrice.generator.tests
diff --git a/tests/org.eclipse.etrice.ui.base.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.ui.base.tests/META-INF/MANIFEST.MF
index 02a5bb890..3131d1e01 100644
--- a/tests/org.eclipse.etrice.ui.base.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.ui.base.tests/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: eTrice Diagram Test Base Classes
Bundle-SymbolicName: org.eclipse.etrice.ui.base.tests
-Bundle-Version: 2.0.0.qualifier
-Require-Bundle: org.junit;bundle-version="4.8.1",
+Bundle-Version: 0.0.0.qualifier
+Require-Bundle: org.junit,
org.eclipse.core.runtime,
- org.eclipse.etrice.core.room;bundle-version="2.0.0",
- org.eclipse.etrice.ui.structure;bundle-version="2.0.0",
- org.eclipse.xtext;bundle-version="2.6.0",
- org.eclipse.graphiti;bundle-version="0.8.0",
+ org.eclipse.etrice.core.room,
+ org.eclipse.etrice.ui.structure,
+ org.eclipse.xtext,
+ org.eclipse.graphiti,
org.eclipse.etrice.ui.common.base,
com.google.guava,
org.eclipse.xtext.xbase.lib,
diff --git a/tests/org.eclipse.etrice.ui.behavior.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.ui.behavior.tests/META-INF/MANIFEST.MF
index a54e8e156..ca84aa4ea 100644
--- a/tests/org.eclipse.etrice.ui.behavior.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.ui.behavior.tests/META-INF/MANIFEST.MF
@@ -2,25 +2,25 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: eTrice Behavior Diagram Tests
Bundle-SymbolicName: org.eclipse.etrice.ui.behavior.tests
-Bundle-Version: 2.0.0.qualifier
+Bundle-Version: 0.0.0.qualifier
Bundle-Activator: org.eclipse.etrice.ui.behavior.BehaviorTestActivator
Bundle-Vendor: Eclipse eTrice
-Require-Bundle: org.eclipse.etrice.core.fsm;bundle-version="2.0.0",
- org.eclipse.etrice.core.room;bundle-version="2.0.0",
- org.eclipse.etrice.ui.behavior;bundle-version="2.0.0",
- org.eclipse.etrice.ui.behavior.fsm;bundle-version="2.0.0",
- org.eclipse.etrice.ui.common;bundle-version="2.0.0",
- org.eclipse.etrice.ui.common.base;bundle-version="2.0.0",
- org.eclipse.etrice.ui.base.tests;bundle-version="2.0.0",
- org.eclipse.etrice.generator.launch;bundle-version="2.0.0",
+Require-Bundle: org.eclipse.etrice.core.fsm,
+ org.eclipse.etrice.core.room,
+ org.eclipse.etrice.ui.behavior,
+ org.eclipse.etrice.ui.behavior.fsm,
+ org.eclipse.etrice.ui.common,
+ org.eclipse.etrice.ui.common.base,
+ org.eclipse.etrice.ui.base.tests,
+ org.eclipse.etrice.generator.launch,
org.eclipse.ui,
org.eclipse.core.runtime,
- org.junit;bundle-version="4.8.1",
- org.eclipse.xtext;bundle-version="2.6.0",
- org.eclipse.graphiti;bundle-version="0.8.0",
- org.eclipse.etrice.core.room.tests;bundle-version="2.0.0",
- org.eclipse.etrice.core.genmodel.fsm;bundle-version="2.0.0",
- org.eclipse.etrice.generator.base;bundle-version="2.0.0",
+ org.junit,
+ org.eclipse.xtext,
+ org.eclipse.graphiti,
+ org.eclipse.etrice.core.room.tests,
+ org.eclipse.etrice.core.genmodel.fsm,
+ org.eclipse.etrice.generator.base,
org.eclipse.core.resources
Import-Package: org.eclipse.xtext.xbase.lib
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/tests/org.eclipse.etrice.ui.structure.tests/META-INF/MANIFEST.MF b/tests/org.eclipse.etrice.ui.structure.tests/META-INF/MANIFEST.MF
index 484601ad2..a8c8f4589 100644
--- a/tests/org.eclipse.etrice.ui.structure.tests/META-INF/MANIFEST.MF
+++ b/tests/org.eclipse.etrice.ui.structure.tests/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: eTrice Structure Diagram Tests
Bundle-SymbolicName: org.eclipse.etrice.ui.structure.tests
-Bundle-Version: 2.0.0.qualifier
-Require-Bundle: org.eclipse.etrice.core.fsm;bundle-version="2.0.0",
- org.eclipse.etrice.core.room;bundle-version="2.0.0",
- org.eclipse.etrice.ui.structure;bundle-version="2.0.0",
- org.eclipse.etrice.ui.common;bundle-version="2.0.0",
- org.eclipse.etrice.ui.common.base;bundle-version="2.0.0",
- org.eclipse.etrice.ui.base.tests;bundle-version="2.0.0",
+Bundle-Version: 0.0.0.qualifier
+Require-Bundle: org.eclipse.etrice.core.fsm,
+ org.eclipse.etrice.core.room,
+ org.eclipse.etrice.ui.structure,
+ org.eclipse.etrice.ui.common,
+ org.eclipse.etrice.ui.common.base,
+ org.eclipse.etrice.ui.base.tests,
org.eclipse.ui,
org.eclipse.core.runtime,
- org.junit;bundle-version="4.8.1",
- org.eclipse.xtext;bundle-version="2.6.0",
- org.eclipse.graphiti;bundle-version="0.8.0"
+ org.junit,
+ org.eclipse.xtext,
+ org.eclipse.graphiti
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: Eclipse eTrice
Bundle-ActivationPolicy: lazy
diff --git a/tests/pom.xml b/tests/pom.xml
index d6c30be48..8ae4ab856 100644
--- a/tests/pom.xml
+++ b/tests/pom.xml
@@ -17,10 +17,9 @@
<parent>
<groupId>org.eclipse.etrice</groupId>
<artifactId>org.eclipse.etrice.parent</artifactId>
- <version>2.0.0-SNAPSHOT</version>
+ <version>0.0.0-SNAPSHOT</version>
<relativePath>../releng/org.eclipse.etrice.parent</relativePath>
</parent>
- <groupId>org.eclipse.etrice</groupId>
<artifactId>org.eclipse.etrice.tests</artifactId>
<packaging>pom</packaging>

Back to the top